#   Copyright Peznauts <kevin@cloudnull.com>. All Rights Reserved.
#
#   Licensed under the Apache License, Version 2.0 (the "License"); you may
#   not use this file except in compliance with the License. You may obtain
#   a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#   WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#   License for the specific language governing permissions and limitations
#   under the License.

from unittest.mock import patch

from directord import interface
from directord import tests


class TestInterface(tests.TestBase):
    def setUp(self):
        super().setUp()
        self.args = tests.FakeArgs()

    def test_interface_no_driver(self):
        with patch(
            "directord.plugin_import", autospec=True
        ) as mock_plugin_import:
            mock_plugin_import.side_effect = ImportError("fail")
            with self.assertRaises(SystemExit):
                interface.Interface(args=self.args)
